﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Domain
{
    public class GamePlayer
    {
        [Key]
        public int GamePlayerId { get; set; }
        
        [Required]
        public virtual Player Player { get; set; }

        public GamePlayerStatus PlayingStatus { get; set; }

        public GamePlayer()
        {
        }

        public GamePlayer(Player player, GamePlayerStatus playerStatus)
        {
            Player = player;
            PlayingStatus = playerStatus;
        }
    }
}
