﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Persistent
{
    public abstract class BaseRepository
    {
        protected PersistentContext context = new PersistentContext();

        public void Save()
        {
            context.SaveChanges();
        }

        public virtual void Dispose()
        {
            if (context != null)
            { context.Dispose(); }
        }
    }
}
